curl -X DELETE https://api.usegately.com/api/v1/email/templates/tmpl_abc123 \
-H "Authorization: Bearer gately_YOUR_API_KEY"
await fetch('https://api.usegately.com/api/v1/email/templates/tmpl_abc123', {
method: 'DELETE',
headers: { 'Authorization': 'Bearer gately_YOUR_API_KEY' },
});
import requests
requests.delete(
'https://api.usegately.com/api/v1/email/templates/tmpl_abc123',
headers={'Authorization': 'Bearer gately_YOUR_API_KEY'},
)
{}
{
"error": "Template not found"
}
Transactional Email
Delete Template
Permanently delete an email template.
DELETE
/
api
/
v1
/
email
/
templates
/
{id}
curl -X DELETE https://api.usegately.com/api/v1/email/templates/tmpl_abc123 \
-H "Authorization: Bearer gately_YOUR_API_KEY"
await fetch('https://api.usegately.com/api/v1/email/templates/tmpl_abc123', {
method: 'DELETE',
headers: { 'Authorization': 'Bearer gately_YOUR_API_KEY' },
});
import requests
requests.delete(
'https://api.usegately.com/api/v1/email/templates/tmpl_abc123',
headers={'Authorization': 'Bearer gately_YOUR_API_KEY'},
)
{}
{
"error": "Template not found"
}
Headers
string
required
Bearer YOUR_API_KEYPath Parameters
string
required
The template ID to delete.
Response
Returns an empty body with HTTP204 No Content on success.
curl -X DELETE https://api.usegately.com/api/v1/email/templates/tmpl_abc123 \
-H "Authorization: Bearer gately_YOUR_API_KEY"
await fetch('https://api.usegately.com/api/v1/email/templates/tmpl_abc123', {
method: 'DELETE',
headers: { 'Authorization': 'Bearer gately_YOUR_API_KEY' },
});
import requests
requests.delete(
'https://api.usegately.com/api/v1/email/templates/tmpl_abc123',
headers={'Authorization': 'Bearer gately_YOUR_API_KEY'},
)
{}
{
"error": "Template not found"
}
Was this page helpful?
⌘I